<?php
require_once('../lib/config.php');
require_once('../lib/db.php');
require_once($SITE_CONFIG['fspath']."/lib/owasp_csrf_guard.php");
require_once($SITE_CONFIG['fspath']."/lib/User.php");
require_once($SITE_CONFIG['fspath']."/lib/Tag.php");

$return_array=array();

$csrf_name = "CSRFGuard_".mt_rand(0,mt_getrandmax());
$csrf_token = csrfguard_generate_token($csrf_name);

$return_array['CSRFName']=$csrf_name;
$return_array['CSRFToken']=$csrf_token;
$return_array['data']=array();
$return_array['dataHeaders']=array('UID','login','status');
$return_array['states']=array();

$stmt = $mysqli->prepare("select UID,login,status from users,tags_status,tags,users_vs_tags where users_vs_tags.user_login=users.login and users_vs_tags.tag_UID=tags.UID and tags.status=tags_status.status_name order by login;");
$stmt->bind_result($UID,$login,$status);
$stmt->execute();
 while($stmt->fetch()){
 array_push($return_array['data'],array('UID' => $UID,'login' => $login,'status' => $status));
 }
$stmt->close();
$stmt = $mysqli->prepare("select status_name from  tags_status;");
$stmt->bind_result($status);
$stmt->execute();
 while($stmt->fetch()){
array_push($return_array['states'],$status);
}



echo json_encode($return_array);

?>

