<?php
require_once('../lib/config.php');
require_once('../lib/db.php');
require_once($SITE_CONFIG['fspath']."/lib/owasp_csrf_guard.php");

function __autoload($class_name) {
    require_once('../lib/'.$class_name.".php");
}

$return_array=array();

$csrf_name = "CSRFGuard_".mt_rand(0,mt_getrandmax());
$csrf_token = csrfguard_generate_token($csrf_name);
$return_array['CSRFName']=$csrf_name;
$return_array['CSRFToken']=$csrf_token;


if($_SESSION['User']->getcan_provision()){
$return_array['opStat']="success";
$stmt = $mysqli->prepare("update users set user_role=? where login=?;");
$stmt->bind_param("ss",$_POST['status'],$_POST['login']);
$stmt->execute();
$return_array['rows']=$stmt->affected_rows;
if ($stmt->errno) {
  $return_array['opStat']= $stmt->error();
}
$stmt->close();


}else{
$return_array['opStat']="forbidden";
}



echo json_encode($return_array);
?>