function getCSRFToken(){
    var data='';
    var form = document.getElementById('jscsrf');
    for(i=0;i<form.children.length;i++){
	item = form.children[i];
	data+= (item.name+'='+item.value+'&');
    }
    return data;
}

function setCSRFToken(jsonObj){
    document.getElementById('jscsrf').children[0].value =  jsonObj.CSRFName;
    document.getElementById('jscsrf').children[1].value =  jsonObj.CSRFToken;
    
}

function CreateUserSuccess(data, textStatus, jqXHR){
     jsonObj=eval('(' + data + ')');
     setCSRFToken(jsonObj);

     switch(jsonObj.opStat){
    case "forbidden":
	alert('You are not allowed to do that, police is OIW...');
	break;
     case "success":
	OnClickManageUsers();
      break;
    case "complexity":
	 alert('last password was not complex enough (min 10 long, 3 among uppercase,lowercase, numbers and specials)');
	 break;
    }   
}

function CreateUser(){
    var data=getCSRFToken();
    data += ('username='+document.getElementById('username').value+'&');
    data += ('password='+document.getElementById('pass1').value+'&');
    data += ('uid='+document.getElementById('tagid').value+'&');
    jQuery.post("/ajax/newUser.php",data,CreateUserSuccess);
}

var TimerVar;

function validateNewUserData(){
    val = 0;
    if(  document.getElementById('pass2').value.length < 8){
	val = -999;
    }
    if(  document.getElementById('pass2').value == document.getElementById('pass1').value){val++};
    if(  document.getElementById('username').value.length>0){val++};
    if(  document.getElementById('tagid').value.length>0){val++};
    if(val == 3){
	document.getElementById('CreateUserButton').disabled=false;
    }else{
	document.getElementById('CreateUserButton').disabled=true;
    }

}

function AjaxPollTagSuccess(data, textStatus, jqXHR){
    jsonObj=eval('(' + data + ')');
    setCSRFToken(jsonObj);
     if(jsonObj.opStat=="success"){
	 document.getElementById('PollTagButton').innerHTML='Tag Scanned';
	 document.getElementById('PollTagButton').disabled="disabled";
	 document.getElementById('tagid').value=jsonObj.uid;
	 validateNewUserData();
	 clearInterval();
    }
}

function AjaxPollTag(){
    var data=getCSRFToken();
    jQuery.post("/ajax/ScanTag.php",data,AjaxPollTagSuccess);
}

function PollTagId(elem){
elem.innerHTML='Scanning Tag&nbsp;<img src="/img/waiting.gif"></img>';
timervar=setInterval(AjaxPollTag,1000);
}

function OnClickCreateUser(elem){
    html='<div class="form-group">\
<label class="control-label" for="username">Username</label><input class="form-control" onkeyup="validateNewUserData();" name="username" id="username" type="text">\
</div>\
<div class="form-group">\
<label for="pass1">Password</label><input class="form-control" name="pass1" id="pass1" onkeyup="validateNewUserData();" type="password">\
</div>\
<div class="form-group">\
<label for="pass2">Repeat Password</label><input class="form-control" name="pass2" onkeyup="validateNewUserData();" id="pass2" type="password">\
</div>\
<div class="form-group">\
<label for="tagid">Tag UID</label><input class="form-control" name="tagid" id="tagid" type="text" disabled="disabled">\
</div>\
<button button class="btn btn-xs btn-primary" id="PollTagButton" onClick="PollTagId(this);">Scan Tag</button>\
<button button class="btn btn-xs btn-primary" id="CreateUserButton" onClick="CreateUser();" disabled="disabled">Create User</button>';

    document.getElementById('main_content').innerHTML=html;
    

}



function onClickResetPasswordSuccess(data, textStatus, jqXHR){
    jsonObj=eval('(' + data + ')');
    setCSRFToken(jsonObj);

    switch(jsonObj.opStat){
    case "forbidden":
	alert('You are not allowed to do that, police is on OIW...');
	break;
    case "success":
	html="Password reset";
	document.getElementById('main_content').innerHTML=html;
	break;
    case "complexity":
	html='<div class="air-rnd-div">Password Reset for : <b>'+username+'</b><br><span class="text-danger">last password was not complex enough (min 10 long, 3 among uppercase,lowercase, numbers and specials)</span></div><div><div class="air-rnd-div"><input type="password" class="form-control50" id="password1" placeholder="Password1"><input type="password" class="form-control50" id="password2" placeholder="Password2"></div><button button class="btn btn-xs btn-primary" onClick="onClickResetPasswordButton('+"'"+username+"'"+');">Reset</button> </div>';
    document.getElementById('main_content').innerHTML=html;
	break;
    }
}

function onClickResetPasswordButton(username){
    p1 = document.getElementById('password1').value;
    p2 = document.getElementById('password2').value;
    if(p1 != p2){
	alert("ensure that both password fiels contains the same passwords");
    }else{
	var data=getCSRFToken();
	data+= 'login=' + username +'&';
	data+= 'newpassword=' + p1 +'&';
	jQuery.post("/ajax/resetPassword.php",data,onClickResetPasswordSuccess);
    }

}


function OnClickResetpassword(elem){
    username=elem.value;
    html='<div class="air-rnd-div">Password Reset for : <b>'+username+'</b></div><div><div class="air-rnd-div"><input type="password" class="form-control50" id="password1" placeholder="Password1"><input type="password" class="form-control50" id="password2" placeholder="Password2"></div><button button class="btn btn-xs btn-primary" onClick="onClickResetPasswordButton('+"'"+username+"'"+');">Reset</button> </div>';
    document.getElementById('main_content').innerHTML=html;
}


function UserRoleSelect(elem){
    var data=getCSRFToken();
    data+= 'login=' + elem.id.substring(7)+'&';
    data+= 'status=' + elem[elem.selectedIndex].value+'&';
    jQuery.post("/ajax/setUserRole.php",data,tagStatusSelectSuccess);
}

function OnClickManageUsersSuccess(data, textStatus, jqXHR){
//    alert(data);
    jsonObj=eval('(' + data + ')');
    setCSRFToken(jsonObj);

    tablehtml = '<table class="table table-bordered"><tr>';
    for(i=0;i<jsonObj.dataHeaders.length;i++){
	tablehtml += ('<th>'+jsonObj.dataHeaders[i]+'</th>');
    }
    tablehtml += '</tr>';
    for(j=0;j<jsonObj.data.length;j++){
	tablehtml += '<tr>';
	tablehtml += '<td>'+jsonObj.data[j]['login']+'</td>';
	tablehtml += '<td><select id="select_'+jsonObj.data[j]['login']+'" class="btn btn-primary btn-xs" onchange="UserRoleSelect(this);">';
	for(i=0;i<jsonObj.roles.length;i++){
	     tablehtml +='<option value="'+jsonObj.roles[i]+'" ';
	    if(jsonObj.data[j]['role'] == jsonObj.roles[i]){
		 tablehtml += 'selected="selected"';
	     }
	    tablehtml +='>'+jsonObj.roles[i]+'</option>';
	}
	tablehtml +='<select></td><td><button value="'+jsonObj.data[j]['login']+'" onClick="OnClickResetpassword(this);" class="btn btn-primary btn-xs">Reset password</button></td>';
	tablehtml += '</tr>';
    }
    tablehtml += '</table><button onClick="OnClickCreateUser(this);" class="btn btn-primary btn-xs">Add User</button>';
	
    document.getElementById('main_content').innerHTML=tablehtml;
}

function OnClickManageUsers(){
    var data=getCSRFToken(); 
    jQuery.post("/ajax/getUserList.php",data,OnClickManageUsersSuccess);
}

function OnClickManageTagsSuccess(data, textStatus, jqXHR){

    jsonObj=eval('(' + data + ')');
    setCSRFToken(jsonObj);

    tablehtml = '<table class="table table-bordered"><tr>';
    for(i=0;i<jsonObj.dataHeaders.length;i++){
	tablehtml += ('<th>'+jsonObj.dataHeaders[i]+'</th>');
    }
    tablehtml += '</tr>';
    for(j=0;j<jsonObj.data.length;j++){
	tablehtml += '<tr>';
	tablehtml += '<td>'+jsonObj.data[j]['UID']+'</td>';
	tablehtml += '<td>'+jsonObj.data[j]['login']+'</td>';
	tablehtml += '<td><select  class="btn btn-primary btn-xs" id="select_'+jsonObj.data[j]['UID']+'" onchange="tagStatusSelect(this);">';
	 for(i=0;i<jsonObj.states.length;i++){
	     tablehtml +='<option value="'+jsonObj.states[i]+'" ';
	     if(jsonObj.data[j]['status'] == jsonObj.states[i]){
		 tablehtml += 'selected="selected"';
	     }
	     tablehtml +='>'+jsonObj.states[i]+'</option>';
	 }
	tablehtml +='<select></td>';
	tablehtml += '</tr>';
    }
    tablehtml += '</table>';
	
    document.getElementById('main_content').innerHTML=tablehtml;
    }


function OnClickManageTags(){
    var data=getCSRFToken(); 
    //alert(data);
    jQuery.post("/ajax/getTagList.php",data,OnClickManageTagsSuccess);
}

function tagStatusSelect(elem){
    var data=getCSRFToken();
    data+= 'UID=' + elem.id.substring(7)+'&';
    data+= 'status=' + elem[elem.selectedIndex].value+'&';
    jQuery.post("/ajax/setTagStatus.php",data,tagStatusSelectSuccess);
    
}

function tagStatusSelectSuccess(data, textStatus, jqXHR){
    jsonObj=eval('(' + data + ')');
    setCSRFToken(jsonObj);
    if(jsonObj.opStat != "success"){
	alert(jsonObj.opStat);
    }
  

}