<?php

class Tag {

private $UID;
private $status;
private $active;

function __construct($mysqli,$uid){
	 $stmt = $mysqli->prepare("select status_name,status_is_valid from tags_status,tags where status_name=status and UID=?;");
	 
	 $stmt->bind_param("s", $uid);
	 $stmt->bind_result($status,$active);
	 $stmt->execute();
	 $stmt->fetch();
	 $this->status=$status;
	 $this->active=$active;
	 $this->UID=$uid;
	 $stmt->close();
}

public function __toString(){
       return $this->UID.":".$this->status.":".$this->active;
}
function getUID(){return $this->UID;}
function setUID($mysqli,$UID){$this->UID=$UID;}
function getstatus(){return $this->status;}
function setstatus($mysqli,$status){$this->status=$status;}
function getactive(){return $this->active;}

}

?>