<?php
require_once('../lib/config.php');
require_once('../lib/db.php');
require_once($SITE_CONFIG['fspath']."/lib/owasp_csrf_guard.php");

function __autoload($class_name) {
    require_once('../lib/'.$class_name.".php");
}

$return_array=array();

$csrf_name = "CSRFGuard_".mt_rand(0,mt_getrandmax());
$csrf_token = csrfguard_generate_token($csrf_name);
$return_array['CSRFName']=$csrf_name;
$return_array['CSRFToken']=$csrf_token;
$return_array['opStat']="failure";

if($_SESSION['User']->getcan_provision()){
	$lastEvent = file_get_contents("/tmp/tagEventorLastEvent");
	if($lastEvent){
		date_default_timezone_set ("Europe/Brussels");
		$dnow= time();
		$devent= explode(" ",$lastEvent)[0];
		if(abs($dnow-$devent)<2){
			if(preg_match("/(IN|OUT) $/",$lastEvent)){
				 $return_array['opStat']="success";
				 $matches=array();
				 preg_match("/UID ([A-Fa-f0-9]+)/",$lastEvent,$matches);
				 $return_array['uid']=$matches[1];
			}
		}
	}
}else{
$return_array['opStat']="forbidden";
}
echo json_encode($return_array);
?>
