<?php
require_once('../lib/config.php');
require_once('../lib/db.php');
require_once($SITE_CONFIG['fspath']."/lib/owasp_csrf_guard.php");
require_once($SITE_CONFIG['fspath']."/lib/User.php");
require_once($SITE_CONFIG['fspath']."/lib/Tag.php");

$return_array=array();

$csrf_name = "CSRFGuard_".mt_rand(0,mt_getrandmax());
$csrf_token = csrfguard_generate_token($csrf_name);

$return_array['CSRFName']=$csrf_name;
$return_array['CSRFToken']=$csrf_token;
$return_array['data']=array();
$return_array['roles']=array();
$return_array['dataHeaders']=array('login',"User Role");

$stmt = $mysqli->prepare("select login,user_role from users order by login;");
$stmt->bind_result($login,$role);
$stmt->execute();
 while($stmt->fetch()){
 array_push($return_array['data'],array('login' => $login,'role' => $role));
 }
$stmt->close();
$stmt = $mysqli->prepare("select rolename from  user_roles;");
$stmt->bind_result($role);
$stmt->execute();
 while($stmt->fetch()){
  array_push($return_array['roles'],$role);
}
echo json_encode($return_array);
?>