<?php
require_once('../lib/config.php');
require_once('../lib/db.php');
require_once($SITE_CONFIG['fspath']."/lib/owasp_csrf_guard.php");

function __autoload($class_name) {
    require_once('../lib/'.$class_name.".php");
}

function check_complex($password){
if(strlen($password) < 10){
return False;
}
$cnt = 0;

if(preg_match('/[a-z]/',$password)){
$cnt++;
}
if(preg_match('/[A-Z]/',$password)){
$cnt++;
}
if(preg_match('/[0-9]/',$password)){
$cnt++;
}
if(preg_match('/[^A-Za-z0-9]/',$password)){
$cnt++;
}
return(($cnt > 3)?True:False);
}

$return_array=array();

$csrf_name = "CSRFGuard_".mt_rand(0,mt_getrandmax());
$csrf_token = csrfguard_generate_token($csrf_name);
$return_array['CSRFName']=$csrf_name;
$return_array['CSRFToken']=$csrf_token;

if(check_complex($_POST['newpassword'])){
if($_SESSION['User']->getcan_provision()){


$return_array['opStat']="success";
$options = array('cost' => 11);
$hash = password_hash( $_POST['newpassword'], PASSWORD_BCRYPT,$options);

$stmt = $mysqli->prepare("update users set hash=? where login=?;");
$stmt->bind_param("ss",$hash,$_POST['login']);
$stmt->execute();
$return_array['rows']=$stmt->affected_rows;
if ($stmt->errno) {
  $return_array['opStat']= $stmt->error();
}
$stmt->close();
}else{
$return_array['opStat']="forbidden";
}}else{
$return_array['opStat']="complexity";
}



echo json_encode($return_array);
?>